Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstruction.designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstruction.designer.cs	(revision 36)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstruction.designer.cs	(revision 37)
@@ -162,6 +162,8 @@
             this.btnWorkingList = new System.Windows.Forms.Button();
             this.btnPrint = new System.Windows.Forms.Button();
             this.PrintProgress = new System.Windows.Forms.ProgressBar();
+            this.btnCancel = new System.Windows.Forms.Button();
+            this.btnFirst = new System.Windows.Forms.Button();
             this.panel1.SuspendLayout();
             this.pnlApproval.SuspendLayout();
             this.pnlApprovalButton.SuspendLayout();
@@ -194,7 +196,7 @@
             this.btnDataDelete.BackColor = System.Drawing.Color.Red;
             this.btnDataDelete.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.btnDataDelete.ForeColor = System.Drawing.Color.White;
-            this.btnDataDelete.Location = new System.Drawing.Point(1086, 656);
+            this.btnDataDelete.Location = new System.Drawing.Point(1086, 658);
             this.btnDataDelete.Name = "btnDataDelete";
             this.btnDataDelete.Size = new System.Drawing.Size(120, 30);
             this.btnDataDelete.TabIndex = 13;
@@ -208,7 +210,7 @@
             this.btnDataEntry.BackColor = System.Drawing.Color.Green;
             this.btnDataEntry.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.btnDataEntry.ForeColor = System.Drawing.Color.White;
-            this.btnDataEntry.Location = new System.Drawing.Point(960, 656);
+            this.btnDataEntry.Location = new System.Drawing.Point(960, 658);
             this.btnDataEntry.Name = "btnDataEntry";
             this.btnDataEntry.Size = new System.Drawing.Size(120, 30);
             this.btnDataEntry.TabIndex = 12;
@@ -222,7 +224,7 @@
             this.btnEnd.BackColor = System.Drawing.Color.Blue;
             this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.btnEnd.ForeColor = System.Drawing.Color.White;
-            this.btnEnd.Location = new System.Drawing.Point(1212, 656);
+            this.btnEnd.Location = new System.Drawing.Point(1212, 658);
             this.btnEnd.Name = "btnEnd";
             this.btnEnd.Size = new System.Drawing.Size(120, 30);
             this.btnEnd.TabIndex = 14;
@@ -541,12 +543,13 @@
             this.btnLineDel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
             this.btnLineDel.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(128)))), ((int)(((byte)(255)))));
             this.btnLineDel.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold);
-            this.btnLineDel.Location = new System.Drawing.Point(812, 656);
+            this.btnLineDel.Location = new System.Drawing.Point(812, 658);
             this.btnLineDel.Name = "btnLineDel";
             this.btnLineDel.Size = new System.Drawing.Size(130, 30);
             this.btnLineDel.TabIndex = 20;
             this.btnLineDel.Text = "行　削　除";
             this.btnLineDel.UseVisualStyleBackColor = false;
+            this.btnLineDel.Visible = false;
             this.btnLineDel.Click += new System.EventHandler(this.btnLineDel_Click);
             // 
             // btnLineAdd
@@ -554,12 +557,13 @@
             this.btnLineAdd.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
             this.btnLineAdd.BackColor = System.Drawing.Color.PaleGreen;
             this.btnLineAdd.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold);
-            this.btnLineAdd.Location = new System.Drawing.Point(674, 656);
+            this.btnLineAdd.Location = new System.Drawing.Point(674, 658);
             this.btnLineAdd.Name = "btnLineAdd";
             this.btnLineAdd.Size = new System.Drawing.Size(130, 30);
             this.btnLineAdd.TabIndex = 19;
             this.btnLineAdd.Text = "行　追　加";
             this.btnLineAdd.UseVisualStyleBackColor = false;
+            this.btnLineAdd.Visible = false;
             this.btnLineAdd.Click += new System.EventHandler(this.btnLineAdd_Click);
             // 
             // pnlBase
@@ -734,7 +738,6 @@
             this.dataGridViewEX4.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.CellSelect;
             this.dataGridViewEX4.Size = new System.Drawing.Size(1290, 243);
             this.dataGridViewEX4.TabIndex = 67;
-            this.dataGridViewEX4.CellDoubleClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvAllDisplay_CellDoubleClick);
             this.dataGridViewEX4.CellEnter += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvAllDisplay_CellEnter);
             this.dataGridViewEX4.CellPainting += new System.Windows.Forms.DataGridViewCellPaintingEventHandler(this.dataGridViewEX4_CellPainting);
             this.dataGridViewEX4.CellValidated += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvAllDisplay_CellValidated);
@@ -1426,7 +1429,7 @@
             this.lblCellTotal.BackColor = System.Drawing.Color.WhiteSmoke;
             this.lblCellTotal.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.lblCellTotal.ForeColor = System.Drawing.Color.Black;
-            this.lblCellTotal.Location = new System.Drawing.Point(100, 29760);
+            this.lblCellTotal.Location = new System.Drawing.Point(100, 32562);
             this.lblCellTotal.Name = "lblCellTotal";
             this.lblCellTotal.Size = new System.Drawing.Size(0, 13);
             this.lblCellTotal.TabIndex = 36;
@@ -1475,7 +1478,6 @@
             this.dgvAllDisplay.CellEnter += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvAllDisplay_CellEnter);
             this.dgvAllDisplay.CellValidated += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvAllDisplay_CellValidated);
             this.dgvAllDisplay.CellValueChanged += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvAllDisplay_CellValueChanged);
-            this.dgvAllDisplay.Enter += new System.EventHandler(this.dgvAllDisplay_Enter);
             this.dgvAllDisplay.KeyDown += new System.Windows.Forms.KeyEventHandler(this.dgvAllDisplay_KeyDown);
             this.dgvAllDisplay.Leave += new System.EventHandler(this.dgvAllDisplay_Leave);
             // 
@@ -1584,10 +1586,10 @@
             // 
             this.btnNext.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
             this.btnNext.BackColor = System.Drawing.Color.SeaGreen;
-            this.btnNext.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnNext.Location = new System.Drawing.Point(400, 656);
+            this.btnNext.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnNext.Location = new System.Drawing.Point(506, 658);
             this.btnNext.Name = "btnNext";
-            this.btnNext.Size = new System.Drawing.Size(160, 30);
+            this.btnNext.Size = new System.Drawing.Size(140, 30);
             this.btnNext.TabIndex = 38;
             this.btnNext.TabStop = false;
             this.btnNext.Text = "次の日報へ >>";
@@ -1598,10 +1600,10 @@
             // 
             this.btnProv.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
             this.btnProv.BackColor = System.Drawing.Color.SeaGreen;
-            this.btnProv.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnProv.Location = new System.Drawing.Point(232, 656);
+            this.btnProv.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnProv.Location = new System.Drawing.Point(366, 658);
             this.btnProv.Name = "btnProv";
-            this.btnProv.Size = new System.Drawing.Size(160, 30);
+            this.btnProv.Size = new System.Drawing.Size(140, 30);
             this.btnProv.TabIndex = 39;
             this.btnProv.TabStop = false;
             this.btnProv.Text = "<< 前の日報へ";
@@ -1612,9 +1614,9 @@
             // 
             this.btnOtherProc.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
             this.btnOtherProc.BackColor = System.Drawing.Color.SpringGreen;
-            this.btnOtherProc.Location = new System.Drawing.Point(8, 656);
+            this.btnOtherProc.Location = new System.Drawing.Point(8, 658);
             this.btnOtherProc.Name = "btnOtherProc";
-            this.btnOtherProc.Size = new System.Drawing.Size(200, 30);
+            this.btnOtherProc.Size = new System.Drawing.Size(160, 30);
             this.btnOtherProc.TabIndex = 96;
             this.btnOtherProc.TabStop = false;
             this.btnOtherProc.Text = "他の画面へ";
@@ -1657,7 +1659,6 @@
             this.btnPrint.TabStop = false;
             this.btnPrint.Text = "日報印刷";
             this.btnPrint.UseVisualStyleBackColor = false;
-            this.btnPrint.Visible = false;
             this.btnPrint.Click += new System.EventHandler(this.btnPrint_Click);
             // 
             // PrintProgress
@@ -1664,12 +1665,40 @@
             // 
             this.PrintProgress.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-            this.PrintProgress.Location = new System.Drawing.Point(33, 618);
+            this.PrintProgress.Location = new System.Drawing.Point(33, 620);
             this.PrintProgress.Name = "PrintProgress";
             this.PrintProgress.Size = new System.Drawing.Size(1278, 36);
             this.PrintProgress.TabIndex = 99;
             this.PrintProgress.Visible = false;
             // 
+            // btnCancel
+            // 
+            this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+            this.btnCancel.BackColor = System.Drawing.Color.Red;
+            this.btnCancel.ForeColor = System.Drawing.Color.White;
+            this.btnCancel.Location = new System.Drawing.Point(7, 5);
+            this.btnCancel.Name = "btnCancel";
+            this.btnCancel.Size = new System.Drawing.Size(200, 30);
+            this.btnCancel.TabIndex = 100;
+            this.btnCancel.TabStop = false;
+            this.btnCancel.Text = "印刷中止";
+            this.btnCancel.UseVisualStyleBackColor = false;
+            this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
+            // 
+            // btnFirst
+            // 
+            this.btnFirst.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+            this.btnFirst.BackColor = System.Drawing.Color.LimeGreen;
+            this.btnFirst.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnFirst.Location = new System.Drawing.Point(220, 658);
+            this.btnFirst.Name = "btnFirst";
+            this.btnFirst.Size = new System.Drawing.Size(140, 30);
+            this.btnFirst.TabIndex = 101;
+            this.btnFirst.TabStop = false;
+            this.btnFirst.Text = "最初の日報へ";
+            this.btnFirst.UseVisualStyleBackColor = false;
+            this.btnFirst.Click += new System.EventHandler(this.btnFirst_Click);
+            // 
             // FrmDRConstruction
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -1676,8 +1705,8 @@
             this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
             this.BackColor = System.Drawing.Color.Black;
             this.ClientSize = new System.Drawing.Size(1344, 692);
+            this.Controls.Add(this.btnFirst);
             this.Controls.Add(this.PrintProgress);
-            this.Controls.Add(this.btnPrint);
             this.Controls.Add(this.panel2);
             this.Controls.Add(this.btnOtherProc);
             this.Controls.Add(this.btnProv);
@@ -1690,6 +1719,8 @@
             this.Controls.Add(this.btnDataEntry);
             this.Controls.Add(this.btnEnd);
             this.Controls.Add(this.label1);
+            this.Controls.Add(this.btnPrint);
+            this.Controls.Add(this.btnCancel);
             this.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D;
             this.KeyPreview = true;
@@ -1829,5 +1860,7 @@
         private System.Windows.Forms.Button btnWorkingList;
         private System.Windows.Forms.Button btnPrint;
         private System.Windows.Forms.ProgressBar PrintProgress;
+        private System.Windows.Forms.Button btnCancel;
+        private System.Windows.Forms.Button btnFirst;
     }
 }
\ No newline at end of file
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstructionAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstructionAuxiliary.cs	(revision 36)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstructionAuxiliary.cs	(revision 37)
@@ -45,12 +45,16 @@
         /// <returns></returns>
         private bool GetBaseInfoData()
         {
-            IOConstructionBaseInfo cbDB = new IOConstructionBaseInfo();
+            IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
+            IOConstructionBaseInfoDetail DetailDB = new IOConstructionBaseInfoDetail();
             try
             {
-                string strSQL = cbDB.CreatePrimarykeyString(m_ConstructionCode);
-                if (!cbDB.SelectAction(strSQL, ref m_ConstructionBaseInfo)) return false;
+                string strSQL = BaseDB.CreatePrimarykeyString(m_ConstructionCode);
+                if (!BaseDB.SelectAction(strSQL, ref m_ConstructionBaseInfo)) return false;
 
+                strSQL = DetailDB.CreatePrimarykeyString(m_ConstructionCode, (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                if (!DetailDB.SelectAction(strSQL, ref m_ConstructionBaseInfoDetail)) return false;
+                
                 return true;
             }
             catch (Exception ex)
@@ -60,7 +64,7 @@
             }
             finally
             {
-                cbDB.close(); cbDB = null;
+                BaseDB.close(); BaseDB = null;
             }
         }
         #endregion
@@ -885,7 +889,7 @@
                     dgv.Rows.Add(s_MinRowCountGrid[(int)DataGridDefine.Detail]);
                     // 合計表示
                     lblGrid1Total1.Text = "0.0";
-                    lblGrid1Total2.Text = GetTotalHeadCount().ToString("0,0.0");
+                    lblGrid1Total2.Text = GetTotalHeadCount().ToString("#,#.#");
                     lblGrid1Total3.Text = "0.0";
                     return;
                 }
@@ -916,11 +920,11 @@
                                     CommonMotions.cnvString(RecData[1]),
                                     iCompany,
                                     strCompany,
-                                    CommonMotions.cnvDouble(RecData[4]).ToString("#,0.0"),
-                                    CommonMotions.cnvDouble(RecData[5]).ToString("#,0.0"),
+                                    CommonMotions.cnvDouble(RecData[4]).ToString("#,#.#"),
+                                    CommonMotions.cnvDouble(RecData[5]).ToString("#,#.#"),
                                     CommonMotions.cnvString(RecData[6]),
                                     CommonMotions.cnvString(RecData[7]),
-                                    CommonMotions.cnvDouble(RecData[8]).ToString("#,0.0"));
+                                    CommonMotions.cnvDouble(RecData[8]).ToString("#,#.#"));
 
                     int CurRowCnt = dgv.RowCount - 1;
                     dgv.Rows[CurRowCnt].Cells[(int)DispGridColumn1.JobCategoryName].ToolTipText = CommonMotions.cnvString(RecData[1]);
@@ -929,10 +933,10 @@
                     dgv.Rows[CurRowCnt].Cells[(int)DispGridColumn1.NextdayWork].ToolTipText = CommonMotions.cnvString(RecData[7]);
                 }
                 // 合計表示
-                lblGrid1Total1.Text = Total1.ToString("#,0.0");
-                lblGrid1Total3.Text = Total3.ToString("#,0.0");
+                lblGrid1Total1.Text = Total1.ToString("#,#.#");
+                lblGrid1Total3.Text = Total3.ToString("#,#.#");
 
-                lblGrid1Total2.Text = (GetTotalHeadCount() + Total1).ToString("#,0.0");
+                lblGrid1Total2.Text = (GetTotalHeadCount() + Total1).ToString("#,#.#");
 
                 // 行が足りない場合は追加する
                 int RowCnt = s_MinRowCountGrid[(int)DataGridDefine.Detail] - dgv.RowCount;
@@ -1223,7 +1227,7 @@
                     dgv.Rows[RowCnt].Cells[(int)DispGridColumn5.PatrolTime].Value = RecData.PatrolTime.ToShortTimeString();
                     dgv.Rows[RowCnt].Cells[(int)DispGridColumn5.ContentsText].Value = RecData.ContentsText;
 
-                    dgv.Rows[RowCnt].Cells[(int)DispGridColumn4.ContentsText].ToolTipText = RecData.ContentsText;
+                    dgv.Rows[RowCnt].Cells[(int)DispGridColumn5.ContentsText].ToolTipText = RecData.ContentsText;
                 }
             }
             catch (Exception ex)
@@ -2674,25 +2678,65 @@
         }
         #endregion
 
-        #region 指定日より前（後）のデータを取得して処理日付を変える
+        #region 指定日より先頭・前・後のデータ日付を取得する
         /// <summary>
-        /// 指定日より前（後）のデータを取得して処理日付を変える
+        /// 指定日より先頭・前・後のデータ日付を取得する
         /// </summary>
-        private void GetPrevNextData(int ReadPoint = 0)
+        private DateTime GetFPNDataDate(int ReadPoint)
         {
+            DateTime dtRet = DateTime.Now;
+            IODailyDataConstruction DailyDB = new IODailyDataConstruction();
             try
             {
-                int DaysPoint = 0;
+                string strSQL = string.Empty;
+
                 switch (ReadPoint)
                 {
+                    case (int)ReadData.First:
+                        strSQL = "SELECT MIN(DAILYDATADATE) FROM DAILYDATACONSTRUCTION";
+                        strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                        break;
                     case (int)ReadData.Previous:
-                        DaysPoint = -1;
+                        strSQL = "SELECT MAX(DAILYDATADATE) FROM DAILYDATACONSTRUCTION";
+                        strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                        strSQL += string.Format(" AND TRUNC(DAILYDATADATE) < TO_DATE('{0}','YYYY/MM/DD')", dTPCreateDate.Value.ToShortDateString());
                         break;
                     case (int)ReadData.Next:
-                        DaysPoint = 1;
+                        strSQL = "SELECT MIN(DAILYDATADATE) FROM DAILYDATACONSTRUCTION";
+                        strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                        strSQL += string.Format(" AND TRUNC(DAILYDATADATE) > TO_DATE('{0}','YYYY/MM/DD')", dTPCreateDate.Value.ToShortDateString());
                         break;
                 }
-                DateTime dtWork = GetTargetToday().AddDays(DaysPoint);
+                ArrayList arList = new ArrayList();
+                if (DailyDB.ExecuteReader(strSQL, ref arList))
+                {
+                    object[] objRec = (object[])arList[0];
+                    dtRet = CommonMotions.cnvDate(objRec[0]);
+                }
+
+                return dtRet;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return dtRet;
+            }
+            finally
+            {
+                DailyDB.close(); DailyDB = null;
+            }
+        }
+        #endregion
+
+        #region 指定日より前（後）のデータを取得して処理日付を変える
+        /// <summary>
+        /// 指定日より前（後）のデータを取得して処理日付を変える
+        /// </summary>
+        private void GetPrevNextData(int ReadPoint = 0)
+        {
+            try
+            {
+                DateTime dtWork = GetFPNDataDate(ReadPoint);
                 // 未来の日報は入力できない
                 if (dtWork > DateTime.Now) return;
 
@@ -3128,6 +3172,51 @@
         }
         #endregion
 
+        #region 行編集ボタン表示制御
+        /// <summary>
+        /// 行編集ボタン表示制御
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void DisplayLineEditButton(object sender)
+        {
+            try
+            {
+                DataGridView dgv = (DataGridView)sender;
+
+                if (dgv == m_DgvArray[(int)DataGridDefine.Detail])
+                {
+                    btnLineAdd.Visible = true;
+                    btnLineDel.Visible = true;
+                }
+                else if (dgv == m_DgvArray[(int)DataGridDefine.Vehicles])
+                {
+                    btnLineAdd.Visible = true;
+                    btnLineDel.Visible = true;
+                }
+                else if (dgv == m_DgvArray[(int)DataGridDefine.Materials])
+                {
+                    btnLineAdd.Visible = true;
+                    btnLineDel.Visible = true;
+                }
+                else if (dgv == m_DgvArray[(int)DataGridDefine.Subcontractors])
+                {
+                    btnLineAdd.Visible = true;
+                    btnLineDel.Visible = true;
+                }
+                else if (dgv == m_DgvArray[(int)DataGridDefine.Field])
+                {
+                    btnLineAdd.Visible = false;
+                    btnLineDel.Visible = false;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         // -------------------- 印刷処理
         #region 印刷時ボタン制御
         /// <summary>
@@ -3136,7 +3225,7 @@
         /// <param name="bprint"></param>
         private void PrintButtonVisbleControl(bool bprint)
         {
-            btnWorkingList.Visible = !bprint;
+            panel2.Visible = !bprint;
             
             panel1.Enabled = !bprint;
             pnlBase.Enabled = !bprint;
@@ -3154,15 +3243,14 @@
 
             if (bprint)
             {
-                btnPrint.Text = s_PrintButtonTop[0];
-                btnPrint.BackColor = s_PrintButtonColor[0];
+                btnPrint.Visible = false;
+                btnCancel.Visible = true;
             }
             else
             {
-                btnPrint.Text = s_PrintButtonTop[1];
-                btnPrint.BackColor = s_PrintButtonColor[0];
+                btnPrint.Visible = true;
+                btnCancel.Visible = false;
             }
-
         }
         #endregion
 
@@ -3193,15 +3281,11 @@
                 // キャンセルは処理しない
                 if (m_PrintresRet == DialogResult.Cancel) return;
 
-                bool bSimplePrint = true;
-                if (!btnPrint.Text.Equals(s_PrintButtonTop[1])) bSimplePrint = false;
-
                 // EXCEL保存時選択
                 if (m_PrintresRet == DialogResult.No)
                 {
                     // 保存先を選択する
-                    if (bSimplePrint) frm.SaveType = (int)CommonDefine.SaveFileType.ExcelFile;
-                    else frm.SaveType = (int)CommonDefine.SaveFileType.WordFile;
+                    frm.SaveType = (int)CommonDefine.SaveFileType.ExcelFile;
 
                     //frm.ShowInTaskbar = false;
 
@@ -3208,7 +3292,6 @@
                     frm.ShowDialog();
                     if (frm.EndButton == DialogResult.Cancel) return;
                     m_SelectSaveExcel = frm.SelectPath;
-                    m_SelectSaveWord = frm.SelectPath;
                 }
 
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/PrintCommon.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/PrintCommon.cs	(revision 36)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/PrintCommon.cs	(revision 37)
@@ -56,7 +56,7 @@
         /// <summary>
         /// シート名称
         /// </summary>
-        //private static readonly string SheetName = "工事日報";
+        private static readonly string s_SheetName = "工事日報";
         #endregion
 
         #region Excelファイル名
@@ -63,9 +63,10 @@
         /// <summary>
         /// Excelファイル名
         /// </summary>
-        private string s_ExcelBookName = "工事日報";
+        private string s_ExcelBookName = "日報";
         #endregion
 
+        #region 図形関連
         /// <summary>
         /// 図形置き場シート
         /// </summary>
@@ -82,15 +83,72 @@
         /// 判子フォントサイズ
         /// </summary>
         private static float[] s_EstimateSeal1FontSize = { 16f, 8f, 8f, 8f, 6f };
+        
         /// <summary>
+        /// 次頁以降の判子イメージ移動位置
+        /// </summary>
+        private static float s_NextImageY = 1171.00f;
+        /// <summary>
         /// 判子位置(Key:X Value:Y)
         /// </summary>
-        private static float[,] s_CoverSealPoint = new float[4, 2] {{323.25f, 183.75f},    // 社長
-                                                                    {392.50f, 183.75f},    // 専務
-                                                                    {460.00f, 183.75f},    // 所属長
-                                                                    {527.50f, 183.75f} };  // 担当
+        private static float[,] s_CoverSealPoint = new float[5, 2] { {503.77f, 20.02f},         // 社長
+                                                                        {539.77f, 20.02f},      // 専務
+                                                                        {575.77f, 20.02f},      // 常務
+                                                                        {611.77f, 20.02f},      // 部長
+                                                                        {647.77f, 20.02f} };    // 担当者
         #endregion
 
+        #region 明細フォーマットの行数
+        /// <summary>
+        /// 明細の全体行数
+        /// </summary>
+        private int s_NumberOfRowInDetail = 71;
+
+        /// <summary>
+        /// 明細データ開始行
+        /// </summary>
+        private const int s_FixDetailStartLine = 7;
+        /// <summary>
+        /// 明細データ行数
+        /// </summary>
+        private const int s_FixDetailListRow = 20;
+
+        /// <summary>
+        /// 車両データ開始行
+        /// </summary>
+        private const int s_FixVehiclesStartLine = 31;
+        /// <summary>
+        /// 車両データ行数
+        /// </summary>
+        private const int s_FixVehiclesListRow = 5;
+
+        /// <summary>
+        /// 資材データ開始行
+        /// </summary>
+        private const int s_FixMaterialsStartLine = 39;
+        /// <summary>
+        /// 資材データ行数
+        /// </summary>
+        private const int s_FixMaterialsListRow= 5;
+
+        /// <summary>
+        /// 業社打ち合わせデータ開始行
+        /// </summary>
+        private const int s_FixSubcontrStartLine = 47;
+        /// <summary>
+        /// 業社打ち合わせデータ行数
+        /// </summary>
+        private const int s_FixSubcontrListRow = 10;
+
+        /// <summary>
+        /// 現場巡回データ開始行
+        /// </summary>
+        private const int s_FixFeildStartLine = 60;
+        
+        #endregion
+
+        #endregion
+
         #region 変数
 
         /// <summary>
@@ -122,10 +180,6 @@
         /// </summary>
         private string m_SelectSaveExcel = "";
         /// <summary>
-        /// 保存時Wordパス
-        /// </summary>
-        private string m_SelectSaveWord = "";
-        /// <summary>
         /// 実行ダイアログ選択値
         /// </summary>
         private DialogResult m_PrintresRet = DialogResult.Cancel;
@@ -181,30 +235,6 @@
                     case (int)CommonDefine.RetunAnswer.Answer1:
                         strMessage = "システムエラー";
                         break;
-                    case (int)CommonDefine.RetunAnswer.Answer2:
-                        strMessage = "工事基本情報明細取得エラー";
-                        break;
-                    case (int)CommonDefine.RetunAnswer.Answer3:
-                        strMessage = "工事日報データ取得エラー";
-                        break;
-                    case (int)CommonDefine.RetunAnswer.Answer4:
-                        strMessage = "注文書明細データ取得エラー";
-                        break;
-                    case (int)CommonDefine.RetunAnswer.Answer5:
-                        strMessage = "印刷オブジェクト取得エラー";
-                        break;
-                    case (int)CommonDefine.RetunAnswer.Answer6:
-                        strMessage = "協力会社マスタ取得エラー";
-                        break;
-                    case (int)CommonDefine.RetunAnswer.Answer7:
-                        strMessage = "積算見積データ印刷データ無";
-                        break;
-                    case (int)CommonDefine.RetunAnswer.Answer8:
-                        strMessage = "積算見積ページデータ取得エラー";
-                        break;
-                    case (int)CommonDefine.RetunAnswer.Answer9:
-                        strMessage = "担当者マスタ取得エラー";
-                        break;
                 }
                 MessageBox.Show(strMessage, "印刷エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
             }
